<!DOCTYPE html>
<html lang="en" data-mode="dark">
  <head prefix="og: http://ogp.me/ns#">
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="generator" content="Hugo 0.68.3">
<meta name="theme" content="Color Your World -- gitlab.com/rmaguiar/hugo-theme-color-your-world">
























<title>Get Information About a Disk Image | QEMU QED</title>


<meta name="author" content="Ethan Gates">
<meta name="description" content="Use qemu-img to display disk image information">


<meta name="robots" content="index follow">
<meta name="referrer" content="no-referrer-when-downgrade">




  
    <link rel="canonical" href="https://example.com/usage/get_info_disk_image/">
  








<meta property="og:site_name" content="QEMU QED">
<meta property="og:title" content="Get Information About a Disk Image">
<meta property="og:description" content="Use qemu-img to display disk image information">
  <meta property="og:url" content="https://example.com/usage/get_info_disk_image/">








  <meta property="og:type" content="article">
  
  
    <meta property="article:published_time" content="2021-06-07">
    <meta property="article:modified_time" content="2021-06-07">
    <meta property="og:updated_time" content="2021-06-07">
  

  
  
  
    <meta name="twitter:creator" content="@@the_bfool">
  
  

  <meta name="twitter:site" content="@@the_bfool">







  <meta name="twitter:dnt" content="on">












<meta name="theme-color" content="#222">

<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="default">










  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  







  <script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "Article",
      "mainEntityOfPage": {
        "@type": "WebSite",
        "@id": "https:\/\/example.com\/"
      },
      "headline": "Get Information About a Disk Image",
      "description": "Use qemu-img to display disk image information",
      
      "url": "https:\/\/example.com\/usage\/get_info_disk_image\/",
      "inLanguage": "en",
      "datePublished": "2021-06-07",
      "dateModified": "2021-06-07",
      "wordCount" : "269",
      "publisher": {
        "@type": "Person",
        "name": "Ethan Gates"
      },
      "author": {
        "@type": "Person",
        "name": "Ethan Gates",
        "description": "User Support Lead for the EaaSI program of work",
        "sameAs": ["https://github.com/EG-tech","https://gitlab.com/EG-tech","https://twitter.com/@the_bfool"]
      }
    }
  </script>






<link rel="stylesheet" href="/css/main.min.css">



<noscript>

  
  

  

    
      <meta name="theme-color" content="#dd587c">
    

  

  <style>
  
    html {
      --accent: #dd587c;
    }
  
    .req-js {
      display: none;
    }
    
  </style>
  
</noscript>






  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff2" as="font" crossorigin="anonymous">













  <link rel="me" href="https://github.com/EG-tech"> 

  <link rel="me" href="https://gitlab.com/EG-tech"> 

  <link rel="me" href="https://twitter.com/@the_bfool"> 







  <script>
    
      'use strict';

// Get default accent colors



// Get CSS transition


// =================================================
// Mode switcher + Custom accent color
// Based on: https://gist.github.com/regpaq/04c67e8aceecbf0fd819945835412d1f
// =================================================



const ROOT = document.documentElement;

const SHEET = document.documentElement.style;
const META_THEME_COLOR = document.querySelector('meta[name=theme-color]');

// Set the dark
function setDark() {
  ROOT.dataset.mode = 'dark'
};

// Set the light
function setLight() {
  ROOT.dataset.mode = 'light'
};

// Initialization triggers light/dark mode based on prior preference, then OS setting
// And yes, I know 'true' here is a string
if(localStorage.getItem('isDark') == 'true') {
  setDark()
} else if(localStorage.getItem('isDark') == 'false') {
  setLight()

  

};




// TODO
// Maybe I should rethink this ...
function getAccent() {
  if (ROOT.dataset.mode === 'dark') {
  
    if (localStorage.getItem('darkAccent') === null) {
      
      
      
      var currentAccent = "#dd587c"
    } else {
    
      var currentAccent = localStorage.getItem('darkAccent')
      
      
      
    }
  } else if (ROOT.dataset.mode === 'light') {

    if (localStorage.getItem('lightAccent') === null) {
  
      
      

      var currentAccent = "#225670"
    } else {
      var currentAccent = localStorage.getItem('lightAccent')
      
      
      
    }
  };
  
  return currentAccent
};

var activeAccent = getAccent();

// Set the active accent color for these right after setting mode color
// Should mitigate any flickering
SHEET.setProperty('--accent', activeAccent);

// Also meta-theme cuz, why not
META_THEME_COLOR.setAttribute('content', activeAccent);


function updateAccent() {
  var activeAccent = getAccent();

  SHEET.setProperty('--accent', activeAccent);
  PALETTE.value = activeAccent;
  META_THEME_COLOR.setAttribute('content', activeAccent);
};


document.addEventListener('DOMContentLoaded', function () {

  // Update the color picker with the active accent color 
  PALETTE.value = activeAccent;

  // Smooth transition, only when changing modes (and not loading pages)
  function smoothTransition() {
    document.body.style.transition 
    = document.querySelector('header').style.transition
    = document.querySelector('footer').style.transition
    = 'background-color .3s ease, color .3s ease'
  };
  
  // Give the user a choice
  function userModeChange() {
  
    smoothTransition();

    if (ROOT.dataset.mode == 'light') {
      setDark();
      localStorage.setItem('isDark', 'true')

      
      
    } else {
      setLight();
      localStorage.setItem('isDark', 'false')
      
      
      
    };
    
    updateAccent()
  };

  
  // TEST
  // Keyboard shortcut for mode change, here for testing purposes only
  // CTRL + ALT + M
  


  
  
  // Mode change button
  document.querySelector('footer button')
    .addEventListener('click', userModeChange)
})

    
  </script>



  </head>

  <body>

    <header>
      

  <a href="/">QEMU QED</a>




  
    <nav aria-label="Main menu.">
      <ul>
        
          <li>
            <a class="btn" href="/installing/">Installing QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/usage/">Using QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/recipes/">Recipes</a>
          </li>
        
          <li>
            <a class="btn" href="/glossary/">Glossary</a>
          </li>
        
          <li>
            <a class="btn" href="/resources/">More Resources</a>
          </li>
        
          <li>
            <a class="btn" href="/contact/">Contact</a>
          </li>
        
      </ul>
    </nav>
  


    </header>

    <div class="filler">
      

  <main>
    <article>
      <header>
        
        <h1>Get Information About a Disk Image</h1>

        
          <p>
            
              Published on <time datetime="2021-06-07">2021-06-07</time>
            
          </p>
        
        
        
        
      </header>
    
      
      







































  




<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-bash" data-lang="bash">qemu-img info Win2k.img
</code></pre></div><p>This command extracts and displays relevant information about a disk image in plain text, including file format, disk size (actual and virtual), etc.</p>
<p><kbd>qemu-img</kbd><br>
calls the qemu program to work with images</p>
<p><kbd>info</kbd><br>
instructs the program to retrieve and display metadata</p>
<p><kbd>Win2k.img</kbd><br>
path, name and extension of the input disk image</p>
<hr>
<p>Example output:</p>
<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-bash" data-lang="bash">$ qemu-img info Win2k.img 
image: Win2k.img
file format: qcow2
virtual size: <span class="m">30</span> GiB <span class="o">(</span><span class="m">32212254720</span> bytes<span class="o">)</span>
disk size: <span class="m">914</span> MiB
cluster_size: <span class="m">65536</span>
Format specific information:
    compat: 1.1
    lazy refcounts: <span class="nb">false</span>
    refcount bits: <span class="m">16</span>
    corrupt: <span class="nb">false</span>
</code></pre></div><p><kbd>file format</kbd><br>
Supported formats include:</p>
<pre aria-label="Box containing code sample." tabindex=0><code>blkdebug blklogwrites blkreplay blkverify bochs cloop 
copy-on-read dmg file ftp ftps host_cdrom host_device 
http https iscsi iser luks nbd null-aio null-co nvme 
parallels qcow qcow2 qed quorum raw rbd replication 
sheepdog ssh throttle vdi vhdx vmdk vpc vvfat
</code></pre><p><kbd>virtual size</kbd><br>
Many virtual disk image formats support specifying a <strong>maximum</strong> possible storage size, so that, for example, an emulated guest operating system will report seeing a larger disk without actually taking up that amount of space on the host operating system. In this example, the disk image could potentially hold up to 30 GiB (and will appear as a 30 GiB hard drive to an emulated OS), but only takes up the amount listed under &ldquo;disk size&rdquo;.</p>
<p><kbd>disk size</kbd><br>
The actual amount of storage space taken by the disk image on the host operating system. In this example, only 914 MiB of the maximum 30 GiB have been used.</p>
<p><kbd>cluster_size</kbd><br>
Unique to virtual disk image formats like qcow2. Smaller cluster sizes can improve the image files size while larger cluster sizes generally provide better performance.</p>



    </article>
  </main>


    </div>
    
    <footer>
      

  
    <p>Copyright © EaaSI <a href="https://gitlab.com/eaasi/qemu-qed">GitLab</a> Contributers;
Site built using <a href="https://gohugo.io/">Hugo</a> and the <a href="https://gitlab.com/rmaguiar/hugo-theme-color-your-world">Color Your World</a> theme by Raphael Aguiar</p>
  













<section class="req-js">
  <button class="outline-dashed" title="Change to light/dark mode."><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true"><use xlink:href="#adjust"/></svg></button><input class="outline-dashed" type="color" list="presets" value="#dd587c" title="Change accent color." aria-label="Change accent color."><datalist id="presets"><option value="#225670"><option value="#dd587c"><option value="#1f676b"><option value="#f3a530"><option value="#902b37"><option value="#1dbc91"><option value="#754e85"><option value="#7fc121"><option value="#a8314a"><option value="#ff7433"><option value="#3e6728"><option value="#c063bd"></datalist>
</section>



  <noscript>
    <p class="noscript">Unable to execute JavaScript. Some features were disabled.</p>
  </noscript>



    </footer>
    
    <svg xmlns="http://www.w3.org/2000/svg" width="0" height="0" aria-hidden="true">
      <symbol viewBox="0 0 512 512" id="adjust">
        <path d="M8 256c0 136.966 111.033 248 248 248s248-111.034 248-248S392.966 8 256 8 8 119.033 8 256zm248 184V72c101.705 0 184 82.311 184 184 0 101.705-82.311 184-184 184z"/>
      </symbol>
      
      
      
      
  
<symbol viewBox="0 0 448 512" id="hashtag">
  <path d="M440.667 182.109l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l14.623-81.891C377.123 38.754 371.468 32 363.997 32h-40.632a12 12 0 0 0-11.813 9.891L296.175 128H197.54l14.623-81.891C213.477 38.754 207.822 32 200.35 32h-40.632a12 12 0 0 0-11.813 9.891L132.528 128H53.432a12 12 0 0 0-11.813 9.891l-7.143 40C33.163 185.246 38.818 192 46.289 192h74.81L98.242 320H19.146a12 12 0 0 0-11.813 9.891l-7.143 40C-1.123 377.246 4.532 384 12.003 384h74.81L72.19 465.891C70.877 473.246 76.532 480 84.003 480h40.632a12 12 0 0 0 11.813-9.891L151.826 384h98.634l-14.623 81.891C234.523 473.246 240.178 480 247.65 480h40.632a12 12 0 0 0 11.813-9.891L315.472 384h79.096a12 12 0 0 0 11.813-9.891l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l22.857-128h79.096a12 12 0 0 0 11.813-9.891zM261.889 320h-98.634l22.857-128h98.634l-22.857 128z"/>
</symbol>


  <symbol viewBox="0 0 320 512" id="caret-down">
    <path d="M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z"/>
  </symbol>


      
      
      
    </svg>

    
    
    

      <script>
        
          'use strict';const PALETTE=document.querySelector('footer input');PALETTE.onchange=function(){const PICK=PALETTE.value;SHEET.setProperty('--accent',PICK);if(ROOT.dataset.mode==='light'){localStorage.setItem('lightAccent',PICK)}else{localStorage.setItem('darkAccent',PICK)};updateAccent()};
        
      </script>

    
    
    
    

  </body>
</html>
